# atlcloudjira\_users (Data Source)

Fetches the issue field values.

## Example Usage

```terraform
data "atlcloudjira_users" "SampleUserDataSource" {
  query = "Marcin"
}

output "SampleUserDataSource_out" {
  value = data.atlcloudjira_users.SampleUserDataSource.users[0].account_id
}

output "SampleUserDataSource_out2" {
  value = [
    for i in range(length(data.atlcloudjira_users.SampleUserDataSource.users)) :
    {
      "account_id" = data.atlcloudjira_users.SampleUserDataSource.users[i].account_id
    }
  ]
}

/* Sample output
SampleUserDataSource_out = "80dacb68-6f79-46c6-b22e-296669e36568"
SampleUserDataSource_out2 = [
  {
    "account_id" = "80dacb68-6f79-46c6-b22e-296669e36568"
  },
  {
    "account_id" = "5fde5ea73b5e47013845900a"
  },
]
*/
```

## Schema

### Optional

* `query` (String) Placeholder identifier attribute.
* `users` (Attributes List) Placeholder identifier attribute. (see [below for nested schema](broken://pages/jIIWf7p3sEuTkElV8uKT))

### Nested Schema for `users`

Optional:

* `account_id` (String) Placeholder identifier attribute.
* `account_type` (String) Placeholder identifier attribute.
* `active` (Boolean) Placeholder identifier attribute.
* `avatar_urls` (Attributes) Placeholder identifier attribute. (see [below for nested schema](broken://pages/jIIWf7p3sEuTkElV8uKT))
* `display_name` (String) Placeholder identifier attribute.
* `email_address` (String) Placeholder identifier attribute.
* `locale` (String) Placeholder identifier attribute.
* `time_zone` (String) Placeholder identifier attribute.

### Nested Schema for `users.avatar_urls`

Optional:

* `x16x16` (String) Placeholder identifier attribute.
* `x24x24` (String) Placeholder identifier attribute.
* `x32x32` (String) Placeholder identifier attribute.
* `x48x48` (String) Placeholder identifier attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.silessian.com/planapply-for-jira-cloud/terraform-provider-for-jira-cloud/terraform-provider-for-jira-cloud/atlcloudjira_users-data-source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
